
Foreman - Feature #3492

API v2 - nested routes for each controller

10/24/2013 06:05 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1166159 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1068

  

Description

Related issues:

Related to Foreman - Bug #7989: /api/v2/hosts rejects POST request containing... Closed 10/20/2014

Related to Foreman - Bug #8112: Nested org/location routes are documented whe... Rejected

Associated revisions

Revision 453dc693 - 10/14/2014 04:10 AM - Joseph Magen

fixes #3492 - API v2 nested routes for each controller

History

#1 - 04/24/2014 12:05 PM - Joseph Magen

- Target version set to 1.8.3

#2 - 05/13/2014 01:27 PM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1068

#3 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#4 - 06/11/2014 02:57 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#5 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#6 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#7 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#8 - 09/08/2014 05:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1068 added

#9 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3
https://github.com/theforeman/foreman/pull/1068


#10 - 09/30/2014 10:32 AM - Dominic Cleal

- Target version changed from 1.7.3 to 1.7.2

#11 - 10/14/2014 05:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 453dc6939f607d8ae0ff4580b5562734c60b19c5.

#12 - 10/20/2014 07:53 AM - Dominic Cleal

- Related to Bug #7989: /api/v2/hosts rejects POST request containing operatingsystem_id parameter added

#13 - 10/20/2014 09:35 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#14 - 10/27/2014 09:23 AM - Dominic Cleal

- Related to Bug #8112: Nested org/location routes are documented when taxonomies are disabled added

#15 - 11/20/2014 08:42 AM - Bryan Kearney

- Bugzilla link set to 1166159
